Skip to main content
`Ctrl`+`K`

# DMSlicedSetGhosts

Sets the global indices of other processes elements that will be ghosts on this process

## Synopsis

    #include "petscdmsliced.h"
    PetscErrorCode DMSlicedSetGhosts(DM dm, PetscInt bs, PetscInt nlocal, PetscInt Nghosts, const PetscInt ghosts[])

Not Collective

## Input Parameters

- dm - the `DMSLICED` object

- bs - block size

- nlocal - number of local (owned, non-ghost) blocks

- Nghosts - number of ghost blocks on this process

- ghosts - global indices of each ghost block

## See Also

`DM`, `DMSLICED`, `DMDestroy()`, `DMCreateGlobalVector()`

## Level

advanced

## Location

src/dm/impls/sliced/sliced.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages